libxml++: xmlpp::SchemaBase Class Reference

libxml++ 2.40.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::SchemaBase Class Referenceabstract

Base class for schemas, used for validation of XML files. More...

`#include <libxml++/schemabase.h>`

Inheritance diagram for xmlpp::SchemaBase:
[legend]

## Public Member Functions
| SchemaBase ()
| ~SchemaBase () override
virtual void | parse_document (const Document* document)=0
| Parse a schema definition from a document. More...
virtual void | parse_file (const Glib::ustring& filename)=0
| Parse a schema definition file. More...
virtual void | parse_memory (const Glib::ustring& contents)=0
| Parse a schema definition from a string. More...

## Detailed Description

Base class for schemas, used for validation of XML files.

Since libxml++ 2.38:

## Constructor & Destructor Documentation

xmlpp::SchemaBase::SchemaBase | ( |  | ) |

xmlpp::SchemaBase::~SchemaBase | ( |  | ) |
| override

## Member Function Documentation

virtual void xmlpp::SchemaBase::parse_document | ( | const Document* | document | ) |
| pure virtual

Parse a schema definition from a document.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  document | A preparsed document tree, containing the schema definition.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::RelaxNGSchema, and xmlpp::XsdSchema.

virtual void xmlpp::SchemaBase::parse_file | ( | const Glib::ustring & | filename | ) |
| pure virtual

Parse a schema definition file.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  filename | The URL of the schema.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::RelaxNGSchema, and xmlpp::XsdSchema.

virtual void xmlpp::SchemaBase::parse_memory | ( | const Glib::ustring & | contents | ) |
| pure virtual

Parse a schema definition from a string.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  contents | The schema definition as a string.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::RelaxNGSchema, and xmlpp::XsdSchema.